#ifndef RANDOM_BINARY_FUNCTION_H
#define RANDOM_BINARY_FUNCTION_H

class RandomBinaryFunction
{
public:
	RandomBinaryFunction(float resolution_s, float stateChangeProbability);

	void update(float deltaTime_s);
	bool getValue() const;

private:
	const float m_resolution_s;
	const float m_stateChangeProbability;
	float m_passedTime_s;
	bool m_value;
};

#endif // RANDOM_BINARY_FUNCTION_H
